<form (ngSubmit)="Login()" novalidate [formGroup]="myForm">
    <p>Email:</p>
    <input type="text" placeholder="Email" formControlName="userEmail">
    <div class="exception-text"
        *ngIf="myForm.controls['userEmail'].invalid && myForm.controls['userEmail'].touched">
            Incorrect form of email!
    </div>
    <p>Password:</p>
    <input type="password" placeholder="Password" formControlName="userPassword">
    <div class="exception-text"
        *ngIf="myForm.controls['userPassword'].invalid && myForm.controls['userPassword'].touched">
            Incorrect form of password!
    </div>
    <div class="exception-text" *ngIf="myForm.controls['userPassword'].errors?.minlength">
        Password must be at least 5 characters long!
   </div>
   <div class="remember">
        <input #rememberMe type='checkbox' id="rememberMe"
                 (change)="Remember(rememberMe.checked)">
        <p>Remember me</p>
    </div>
    <button type="submit" >Login</button>
    <div class="exception-text" *ngIf="error">
        {{error}}
    </div>
</form>



